Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Interface DatatypeValidator

All Known Implementing Classes:
  AbstractDatatypeValidator

public interface DatatypeValidator

DataTypeValidator defines the interface that data type validators must obey. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture. Note: there is no support for facets in this API, since we are trying to convince W3C to remove facets from the data type spec.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: DatatypeValidator.java,v 1.12 2001/05/15 12:58:26 elena Exp $
Author:
  Jeffrey Rodriguez-

Field Summary
`static short` | `COLLAPSE`
`static short` | `FACET_DURATION`
`static short` | `FACET_ENCODING`
`static short` | `FACET_ENUMERATION`
`static java.lang.String` | `FACET_FIXED`
`static short` | `FACET_FRACTIONDIGITS`
`static short` | `FACET_LENGTH`
`static short` | `FACET_MAXEXCLUSIVE`
`static short` | `FACET_MAXINCLUSIVE`
`static short` | `FACET_MAXLENGTH`
`static short` | `FACET_MINEXCLUSIVE`
`static short` | `FACET_MININCLUSIVE`
`static short` | `FACET_MINLENGTH`
`static short` | `FACET_PATTERN`
`static short` | `FACET_PERIOD`
`static short` | `FACET_TOTALDIGITS`
`static short` | `FACET_WHITESPACE`
`static short` | `PRESERVE`
`static short` | `REPLACE`

Method Summary
`int` | `compare(java.lang.String value1, java.lang.String value2)` Compares content in the Domain value vs.
`DatatypeValidator` | `getBaseValidator()`
`short` | `getWSFacet()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Field Detail

### FACET_LENGTH

    public static final short FACET_LENGTH

### FACET_MINLENGTH

    public static final short FACET_MINLENGTH

### FACET_MAXLENGTH

    public static final short FACET_MAXLENGTH

### FACET_PATTERN

    public static final short FACET_PATTERN

### FACET_ENUMERATION

    public static final short FACET_ENUMERATION

### FACET_MAXINCLUSIVE

    public static final short FACET_MAXINCLUSIVE

### FACET_MAXEXCLUSIVE

    public static final short FACET_MAXEXCLUSIVE

### FACET_MININCLUSIVE

    public static final short FACET_MININCLUSIVE

### FACET_MINEXCLUSIVE

    public static final short FACET_MINEXCLUSIVE

### FACET_TOTALDIGITS

    public static final short FACET_TOTALDIGITS

### FACET_FRACTIONDIGITS

    public static final short FACET_FRACTIONDIGITS

### FACET_ENCODING

    public static final short FACET_ENCODING

### FACET_DURATION

    public static final short FACET_DURATION

### FACET_PERIOD

    public static final short FACET_PERIOD

### FACET_WHITESPACE

    public static final short FACET_WHITESPACE

### FACET_FIXED

    public static final java.lang.String FACET_FIXED

### PRESERVE

    public static final short PRESERVE

### REPLACE

    public static final short REPLACE

### COLLAPSE

    public static final short COLLAPSE

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.

  Parameters:
    `content` - A string containing the content to be validated
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  See Also:
    `InvalidDatatypeValueException`

### getWSFacet

    public short getWSFacet()

### getBaseValidator

    public DatatypeValidator getBaseValidator()

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.

  Parameters:
    `value1` -
    `valu2` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference